pkgSystem Class Referenceabstract
Inheritance diagram for pkgSystem:
[legend]
Collaboration diagram for pkgSystem:
[legend]

## Public Member Functions

virtual bool | Lock (OpProgress *const Progress=nullptr)=0
virtual bool | UnLock (bool NoErrors=false)=0
virtual pkgPackageManager * | CreatePM (pkgDepCache *Cache) const =0
virtual bool | Initialize (Configuration &)
virtual bool | ArchiveSupported (const char *Type)=0
virtual bool | AddStatusFiles (std::vector< pkgIndexFile * > &List)=0
virtual bool | FindIndex (pkgCache::PkgFileIterator File, pkgIndexFile *&Found) const =0
virtual signed | Score (Configuration const &)
virtual bool | MultiArchSupported () const =0
virtual std::vector< std::string > | ArchitecturesSupported () const =0
APT_HIDDEN void | SetVersionMapping (map_id_t const in, map_id_t const out)
APT_HIDDEN map_id_t | GetVersionMapping (map_id_t const in) const
| pkgSystem (char const *const Label, pkgVersioningSystem *const VS)
virtual bool | LockInner (OpProgress *const Progress=0, int timeOutSec=0)=0
virtual bool | UnLockInner (bool NoErrors=false)=0
virtual bool | IsLocked ()=0
| checks if the system is currently locked

## Static Public Member Functions

static pkgSystem * | GetSystem (const char *Label)

## Public Attributes

const char *const | Label
pkgVersioningSystem *const | VS

## Static Public Attributes

static pkgSystem ** | GlobalList = SysList
static unsigned long | GlobalListLen = 0

## Member Function Documentation

## ArchitecturesSupported()

virtual std::vector< std::string > ArchitecturesSupported | ( |  | ) | const

pure virtual

architectures supported by this system

A MultiArch capable system might be configured to use this capability.

Returns
  a list of all architectures (native + foreign) configured for on this system (aka: which can be installed without force)

Implemented in debSystem, and edspLikeSystem.

## IsLocked()

virtual bool IsLocked | ( |  | ) |

pure virtual

checks if the system is currently locked

Implemented in debSystem, and edspLikeSystem.

## MultiArchSupported()

virtual bool MultiArchSupported | ( |  | ) | const

pure virtual

Todo
  these methods should be virtual

does this system has support for MultiArch?

Systems supporting only single arch (not systems which are single arch) are considered legacy systems and support for it will likely degrade over time.

The default implementation returns always true.

Returns
  true if the system supports MultiArch, false if not.

Implemented in debSystem, and edspLikeSystem.

The documentation for this class was generated from the following files:

- apt-pkg/pkgsystem.h
- apt-pkg/pkgsystem.cc